/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.mobile.dto.device;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 执行引擎信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-09-29 10:24:37  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "执行引擎信息表")
public class CdEngineInfo extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_engineName = "engineName";
  public static final String KEY_deviceId = "deviceId";
  public static final String KEY_ipAddr = "ipAddr";
  public static final String KEY_runningRelease = "runningRelease";
  public static final String KEY_registedTime = "registedTime";
  public static final String KEY_enabled = "enabled";
  public static final String KEY_engineStatus = "engineStatus";
  public static final String KEY_engineDesc = "engineDesc";
  public static final String KEY_lastHeartbeatTime = "lastHeartbeatTime";

  /**
   * 主键id<br>
   */
  @ApiModelProperty("主键id")
  @Size(max = 32, message="主键id-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 引擎名称<br>
   */
  @ApiModelProperty("引擎名称")
  @Size(max = 50, message="引擎名称-engineName: 数据长度不能 > 50" )
  private String engineName;
  /**
   * pc设备id<br>
   */
  @ApiModelProperty("pc设备id")
  @Size(max = 32, message="pc设备id-deviceId: 数据长度不能 > 32" )
  private String deviceId;
  /**
   * ip地址<br>
   */
  @ApiModelProperty("ip地址")
  @Size(max = 20, message="ip地址-ipAddr: 数据长度不能 > 20" )
  private String ipAddr;

  @ApiModelProperty("ip端口号")
  private String ipPort;

  /**
   * 引擎版本<br>
   */
  @ApiModelProperty("引擎版本")
  @Size(max = 255, message="引擎版本-runningRelease: 数据长度不能 > 255" )
  private String runningRelease;
  /**
   * 注册时间<br>
   */
  @ApiModelProperty("注册时间")
  private Date registedTime;
  /**
   * 启用/禁用<br>
   */
  @ApiModelProperty("启用/禁用")
  private Boolean enabled;
  /**
   * 引擎状态<br>
   */
  @ApiModelProperty("引擎状态")
  @Size(max = 1, message="引擎状态-engineStatus: 数据长度不能 > 1" )
  private String engineStatus;
  /**
   * 引擎描述<br>
   */
  @ApiModelProperty("引擎描述")
  @Size(max = 255, message="引擎描述-engineDesc: 数据长度不能 > 255" )
  private String engineDesc;

  @ApiModelProperty("最后心跳时间")
  private Date lastHeartbeatTime;

  public String getIpPort() {
    return ipPort;
  }

  public void setIpPort(String ipPort) {
    this.ipPort = ipPort;
  }

  /**
   * 主键id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键id<br>
   *
   * @param id 主键id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 引擎名称<br>
   */
  public String getEngineName()
  {
      return engineName;
    }

  /**
   * 引擎名称<br>
   *
   * @param engineName 引擎名称
   */
  public void setEngineName(String engineName)
  {
      this.engineName = engineName;
    }
  /**
   * pc设备id<br>
   */
  public String getDeviceId()
  {
      return deviceId;
    }

  /**
   * pc设备id<br>
   *
   * @param deviceId pc设备id
   */
  public void setDeviceId(String deviceId)
  {
      this.deviceId = deviceId;
    }
  /**
   * ip地址<br>
   */
  public String getIpAddr()
  {
      return ipAddr;
    }

  /**
   * ip地址<br>
   *
   * @param ipAddr ip地址
   */
  public void setIpAddr(String ipAddr)
  {
      this.ipAddr = ipAddr;
    }
  /**
   * 引擎版本<br>
   */
  public String getRunningRelease()
  {
      return runningRelease;
    }

  /**
   * 引擎版本<br>
   *
   * @param runningRelease 引擎版本
   */
  public void setRunningRelease(String runningRelease)
  {
      this.runningRelease = runningRelease;
    }
  /**
   * 注册时间<br>
   */
  public Date getRegistedTime()
  {
      if(registedTime != null)
    {
      return (Date)registedTime.clone();
    }
    return null;
    }

  /**
   * 注册时间<br>
   *
   * @param registedTime 注册时间
   */
  public void setRegistedTime(Date registedTime)
  {
      if(registedTime != null)
    {
      this.registedTime = (Date)registedTime.clone();
    }
    }
  /**
   * 启用/禁用<br>
   */
  public Boolean getEnabled()
  {
      return enabled;
    }

  /**
   * 启用/禁用<br>
   *
   * @param enabled 启用/禁用
   */
  public void setEnabled(Boolean enabled)
  {
      this.enabled = enabled;
    }
  /**
   * 引擎状态<br>
   */
  public String getEngineStatus()
  {
      return engineStatus;
    }

  /**
   * 引擎状态<br>
   *
   * @param engineStatus 引擎状态
   */
  public void setEngineStatus(String engineStatus)
  {
      this.engineStatus = engineStatus;
    }
  /**
   * 引擎描述<br>
   */
  public String getEngineDesc()
  {
      return engineDesc;
    }

  /**
   * 引擎描述<br>
   *
   * @param engineDesc 引擎描述
   */
  public void setEngineDesc(String engineDesc)
  {
      this.engineDesc = engineDesc;
    }

  public Date getLastHeartbeatTime() {
    return lastHeartbeatTime;
  }

  public void setLastHeartbeatTime(Date lastHeartbeatTime) {
    this.lastHeartbeatTime = lastHeartbeatTime;
  }

  public CdEngineInfo()
  {
  }

}
